Bug 186137 - gdm_slave_xioerror_handler crashing X
gdm_slave_xioerror_handler crashing X
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdm (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 15:43 EST by Chris Stankaitis
Modified: 2012-06-20 09:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Stankaitis 2006-03-21 15:43:51 EST
Description of problem:

X Crashing with the following GDM error in messages

Mar 21 14:47:19 andromeda gdm[5990]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0

Version-Release number of selected component (if applicable):

gdm-2.6.0.8-16
kernel-smp-2.6.15-1.1833_FC4

How reproducible:

Random, I can go days, or weeks between crashes, usually happens when I am
switching between workspaces but not always.
Comment 1 Chris Stankaitis 2006-03-21 15:55:12 EST
version fc3 -> fc4 (my bad)
Comment 2 Ray Strode [halfline] 2006-03-21 16:12:49 EST
Do you think it's gdm that's causing the crash or something else crashing X
that's making gdm give the log message?

What version of xorg-x11 do you have installed?
Comment 3 Chris Stankaitis 2006-03-21 16:33:35 EST
I am running xorg-x11-6.8.2-37.FC4.49.2

there are no messages in syslog other then the gdm one, is there a way I can
turn up the verbosity on X in hopes of logging something more usefull next time
this happens?
Comment 4 Chris Stankaitis 2006-04-18 14:03:55 EDT
I have upgraded to fc5 running

gdm-2.14.0-1
kernel-smp-2.6.16-1.2080_FC5
xorg-x11-server-Xorg-1.0.1-9.fc5

and am still having crashing issues sporadically, usually when switching between
the 4 destops pages.
Comment 5 Jim Waldram 2007-03-16 14:14:39 EDT
fyi
On RHEL 4.4, up2date.  Same gdm error in messages.  Fixed by:
rpm -iv --replacepkgs /var/spool/up2date/xorg-x11-6.8.2-1.EL.13.37.5.i386.rpm
There is, perhaps, a more elegant way that would show what was corrupted
Comment 6 Ray Strode [halfline] 2007-08-15 17:27:23 EDT
Are you still seeing this Chris?
Comment 7 Chris Stankaitis 2008-08-01 11:27:14 EDT
Sorry please close this issue I no longer have any old boxes all my boxes are
RHEL5.2 and f9 and do not show this problem.
Comment 8 Jiri Pallich 2012-06-20 09:23:36 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.